Package org.eclipse.mat.query.results

## Interface ListResult.ValueProvider

Enclosing class:
  ListResult

    public static interface ListResult.ValueProvider

Converts a row to the needed value from the row

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getValueFor​(Object row)` Extracts the value from the row

### Method Detail

#### getValueFor

    Object getValueFor​(Object row)

Extracts the value from the row

Parameters:
  `row` - the row
Returns:
  the value